package cn.gov.customs.demo.dao;

import cn.gov.customs.demo.pojo.OrderInfo;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDate;
import java.util.List;

/**
 * @description TODO
 * @author sunxuewen
 * @since 2024/11/21 上午8:23
 */
@Mapper
public interface OrderDao {

  OrderInfo get(String orderId);

  List<OrderInfo> getList(String keyword, LocalDate beginDate, LocalDate endDate);

  int insert(OrderInfo info);

  int update(OrderInfo info);

  int delete(String personId);

}
